from typing import Optional

from watcher.enums import AbcMigrationStatus

from .base import BaseSchema


class AbcMigrationBaseSchema(BaseSchema):
    id: int
    service_id: int
    schedule_id: Optional[int]
    abc_schedule_id: int
    author_id: int
    consider_other_schedules: bool
    status: AbcMigrationStatus


class AbcMigrationListSchema(AbcMigrationBaseSchema):
    pass
